org.eclipse.jetty.http

## Interface Generator

All Known Implementing Classes:
  AbstractGenerator, Ajp13Generator, HttpGenerator, NestedGenerator

    public interface Generator

### Field Summary

Fields
`static boolean` `LAST`
`static boolean` `MORE`

### Method Summary

Methods
`void` `addContent(Buffer content, boolean last)` Add content.
`void` `complete()`
`void` `completeHeader(HttpFields responseFields, boolean last)`
`int` `flushBuffer()`
`int` `getContentBufferSize()`
`long` `getContentWritten()`
`void` `increaseContentBufferSize(int size)`
`boolean` `isAllContentWritten()`
`boolean` `isBufferFull()`
`boolean` `isCommitted()`
`boolean` `isComplete()`
`boolean` `isIdle()`
`boolean` `isPersistent()`
`boolean` `isWritten()`
`void` `reset()`
`void` `resetBuffer()`
`void` `returnBuffers()`
`void` `sendError(int code, String reason, String content, boolean close)`
`void` `setContentLength(long length)`
`void` `setDate(Buffer timeStampBuffer)`
`void` `setHead(boolean head)`
`void` `setPersistent(boolean persistent)`
`void` `setRequest(String method, String uri)`
`void` `setResponse(int status, String reason)`
`void` `setSendServerVersion(boolean sendServerVersion)`
`void` `setVersion(int version)`

### Field Detail

#### LAST

    static final boolean LAST

See Also:
  Constant Field Values

#### MORE

    static final boolean MORE

See Also:
  Constant Field Values

### Method Detail

#### addContent

    void addContent(Buffer content,
                  boolean last)
                    throws IOException

Add content.

Parameters:
  `content` -
  `last` -
Throws:
  `IllegalArgumentException` - if `content` is `immutable`.
  `IllegalStateException` - If the request is not expecting any more content, or if the buffers are full and cannot be flushed.
  `IOException` - if there is a problem flushing the buffers.

#### complete

    void complete()
                  throws IOException

Throws:
  `IOException`

#### completeHeader

    void completeHeader(HttpFields responseFields,
                      boolean last)
                        throws IOException

Throws:
  `IOException`

#### flushBuffer

    int flushBuffer()
                    throws IOException

Throws:
  `IOException`

#### getContentBufferSize

    int getContentBufferSize()

#### getContentWritten

    long getContentWritten()

#### isWritten

    boolean isWritten()

#### isAllContentWritten

    boolean isAllContentWritten()

#### increaseContentBufferSize

    void increaseContentBufferSize(int size)

#### isBufferFull

    boolean isBufferFull()

#### isCommitted

    boolean isCommitted()

#### isComplete

    boolean isComplete()

#### isPersistent

    boolean isPersistent()

#### reset

    void reset()

#### resetBuffer

    void resetBuffer()

#### returnBuffers

    void returnBuffers()

#### sendError

    void sendError(int code,
                 String reason,
                 String content,
                 boolean close)
                   throws IOException

Throws:
  `IOException`

#### setHead

    void setHead(boolean head)

#### setRequest

    void setRequest(String method,
                  String uri)

#### setResponse

    void setResponse(int status,
                   String reason)

#### setSendServerVersion

    void setSendServerVersion(boolean sendServerVersion)

#### setVersion

    void setVersion(int version)

#### isIdle

    boolean isIdle()

#### setContentLength

    void setContentLength(long length)

#### setPersistent

    void setPersistent(boolean persistent)

#### setDate

    void setDate(Buffer timeStampBuffer)